<?php

namespace Bydedi\Template\Filter;

class SSLBoutiqueExtension implements SSLExtensionInterface
{
    protected $boutique;

    public function __construct(\Boutique $boutique)
    {
        $this->boutique = $boutique;
    }

    public function replace($string)
    {
        $boutiques = $this->boutique->get();

        foreach ($boutiques as $b) {
            $string = str_replace('http://'.$b['boutique_domaine'],'https://'.$b['boutique_domaine'],$string);
        }
        return $string;
    }

}